servletapi4-4.0.4-lp150.586.1.noarch.rpm


Advertisement

Description

servletapi4 - Java servlet and JSP implementation classes

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE JAVA all
Package name servletapi4
Package version 4.0.4
Package release lp150.586.1
Package architecture noarch
Package type rpm
Installed size 78.97 KB
Download size 76.99 KB
Official Mirror ftp.gwdg.de
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

Alternatives

Package Version Architecture Repository
servletapi4-4.0.4-lp150.2.14.noarch.rpm 4.0.4 noarch openSUSE Oss
servletapi4 - - -

Requires

Name Value
/usr/sbin/update-alternatives -

Provides

Name Value
servlet = 4.0.4
servlet22 = 4.0.4
servlet4 = 4.0.4
servletapi4 = 4.0.4-lp150.586.1

Obsoletes

Name Value
servlet22 < 4.0.4
servlet4 < 4.0.4

Download

Type URL
Binary Package servletapi4-4.0.4-lp150.586.1.noarch.rpm
Source Package servletapi4-4.0.4-lp150.586.1.src.rpm

Install Howto

  1. Add the openSUSE JAVA repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_15.0/ opensuse-java
  2. Install servletapi4 rpm package:
    # zypper install servletapi4

Files

Path
/etc/alternatives/servlet.jar
/usr/share/doc/packages/servletapi4/LICENSE
/usr/share/doc/packages/servletapi4/README.txt
/usr/share/java/servlet.jar
/usr/share/java/servletapi4-4.0.4.jar
/usr/share/java/servletapi4.jar

Changelog

2017-09-18 - fstrba@suse.com
- Modified patch:
* java160_build.patch
+ Don't switch off doclint; it is switched off by default
2017-09-10 - fstrba@suse.com
- Removed patch:
* java150_build.patch
- Added patch:
* java160_build.patch
+ Specify java source and target level 1.6 in order to allow
building with jdk9
+ Disable doclint, since errors of javadoc in jdk9 are fatal
2015-09-29 - dmueller@suse.com
- build against java-1_8_0-openjdk or newer if available
2014-07-21 - tchvatal@suse.com
- Cleanup with spec-cleaner
- Fix update-alternatives
2014-02-07 - fcrozat@suse.com
- Fix license tag, should be Apache-1.1
2013-09-09 - tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
2006-09-25 - dbornkessel@suse.de
- fixes necessary to compile with Java 1.5.0
- set source="1.4" and target="1.4" for ant "javac" tasks
- set source="1.4" for ant "javadoc" tasks
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires
2005-09-29 - dmueller@suse.de
- add norootforbuild
2004-09-16 - skh@suse.de
- Fix prerequires

See Also

Package Description
servletapi4-javadoc-4.0.4-lp150.586.1.noarch.rpm Javadoc for servletapi4
servletapi5-5.0.18-lp150.557.1.noarch.rpm Java servlet and JSP implementation classes
skinlf-6.7-lp150.19.1.noarch.rpm Allows developers to write skinnable application using the Swing toolkit
skinlf-demo-6.7-lp150.19.1.noarch.rpm Examples for skinlf
skinlf-javadoc-6.7-lp150.19.1.noarch.rpm Javadoc for skinlf
slf4j-1.7.25-lp150.53.3.noarch.rpm Simple Logging Facade for Java
slf4j-javadoc-1.7.25-lp150.53.3.noarch.rpm Javadoc for slf4j
slf4j-manual-1.7.25-lp150.53.3.noarch.rpm Documents for slf4j
stringtemplate-3.2.1-lp150.2.5.noarch.rpm A Java template engine
stringtemplate-javadoc-3.2.1-lp150.2.5.noarch.rpm API documentation for stringtemplate
swing-layout-1.0.3-lp150.58.1.noarch.rpm Natural layout for Swing panels
swing-layout-javadoc-1.0.3-lp150.58.1.noarch.rpm Natural layout for Swing panels
swing-worker-1.2-lp150.35.1.noarch.rpm UI updates support for long running tasks
swing-worker-demo-1.2-lp150.35.1.noarch.rpm UI updates support for long running tasks
swing-worker-javadoc-1.2-lp150.35.1.noarch.rpm UI updates support for long running tasks
Advertisement
Advertisement